com.unitech.lib.types

## Enum ActionType

- java.lang.Object
- - java.lang.Enum<ActionType>
  - - com.unitech.lib.types.ActionType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<ActionType>

      public enum ActionType
      extends java.lang.Enum<ActionType>
      implements IEnumType

  ActionType indicates the operation type of the device.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BlockErase`
    `BlockWrite`
    `DefaultParameter`
    `EnterBarcodeBypassMode`
    `EnterBypassMode`
    `HardReset`
    `Inventory`
    `InventoryAndDecode`
    `Kill`
    `LeaveBypassMode`
    `Lock`
    `PermaLock`
    `ReadMemory`
    `SaveParameter`
    `SoftReset`
    `StartDecode`
    `Stop`
    `WriteMemory`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()` Get the enum code value
    `java.lang.String` | `toString()` Return the name of the enum
    `static ActionType` | `valueOf(int code)` Returns the enum constant of this type with the specified code.
    `static ActionType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ActionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### InventoryAndDecode

          public static final ActionType InventoryAndDecode

    - #### Inventory

          public static final ActionType Inventory

    - #### ReadMemory

          public static final ActionType ReadMemory

    - #### WriteMemory

          public static final ActionType WriteMemory

    - #### Lock

          public static final ActionType Lock

    - #### PermaLock

          public static final ActionType PermaLock

    - #### Kill

          public static final ActionType Kill

    - #### BlockWrite

          public static final ActionType BlockWrite

    - #### BlockErase

          public static final ActionType BlockErase

    - #### StartDecode

          public static final ActionType StartDecode

    - #### SoftReset

          public static final ActionType SoftReset

    - #### HardReset

          public static final ActionType HardReset

    - #### DefaultParameter

          public static final ActionType DefaultParameter

    - #### SaveParameter

          public static final ActionType SaveParameter

    - #### EnterBypassMode

          public static final ActionType EnterBypassMode

    - #### EnterBarcodeBypassMode

          public static final ActionType EnterBarcodeBypassMode

    - #### LeaveBypassMode

          public static final ActionType LeaveBypassMode

    - #### Stop

          public static final ActionType Stop

  - ### Method Detail

    - #### values

          public static ActionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActionType c : ActionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActionType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Description copied from interface: `IEnumType`
      Get the enum code value
      Specified by:
        `getCode` in interface `IEnumType`
      Returns:
        The code value

    - #### toString

          public java.lang.String toString()

      Description copied from interface: `IEnumType`
      Return the name of the enum
      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<ActionType>`
      Returns:
        The name of the enum

    - #### valueOf

          public static ActionType valueOf(int code)

      Returns the enum constant of this type with the specified code.
      Parameters:
        `code` - The code to check
      Returns:
        The enum constant with the specified code